Hooks:PostHook( WeaponFactoryTweakData, "init", "PistolReflexInit", function(self)

self.parts.wpn_fps_upg_o_barska.stance_mod = {
			wpn_fps_pis_1911 = {
				translation = Vector3(-0.02, -15, -2.82)
			},
			wpn_fps_pis_beretta = {
				translation = Vector3(-0, -5, -2.5),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_pis_deagle = {
				translation = Vector3(-0.02, -5, -2.8)
			},
			wpn_fps_pis_g17 = {
				translation = Vector3(0, -5, -2.62)
			},
			wpn_fps_pis_g18c = {
				translation = Vector3(0, -5, -2.29)
			},
			wpn_fps_pis_usp = {
				translation = Vector3(0.03, -5, -2.11)
			},
			wpn_fps_pis_ppk = {
				translation = Vector3(0.03, -5, -2.76)
			},
			wpn_fps_pis_p226 = {
				translation = Vector3(0.02, -5, -2.4)
			},
			wpn_fps_pis_g22c = {
				translation = Vector3(0, -5, -0.45)
			},
			wpn_fps_pis_g26 = {
				translation = Vector3(0.01, -5, -2.11)
			},
			wpn_fps_pis_c96 = {
				translation = Vector3(-0.03, -5, -3.07)
			},
			wpn_fps_pis_hs2000 = {
				translation = Vector3(0, -5, -2.57)
			},
			wpn_fps_bow_hunter = {
				translation = Vector3(0, 35, -1.06)
			},
			wpn_fps_pis_sparrow = {
				translation = Vector3(-0.04, -5, -2.77)
			},
			wpn_fps_pis_pl14 = {
				translation = Vector3(-0.03, -5, -2.7)
			},
			wpn_fps_pis_packrat = {
				translation = Vector3(-0.02, 13, -3)
			},
			wpn_fps_pis_lemming = {
				translation = Vector3(-0.02, 13, -3),
				rotation = Rotation(0, 0.4, -0)
			}			
		}
local sightid = {"wpn_fps_upg_o_barska"}

for _, sight_id in ipairs(sightid) do

	self.wpn_fps_pis_1911.override[ sight_id ] = {
		parent = "slide"
	}
	self.wpn_fps_pis_g18c.override[ sight_id ] = {
		parent = "slide"
	}
	self.wpn_fps_pis_deagle.override[ sight_id ] = {
		parent = "lower_reciever"
	}
	self.wpn_fps_bow_hunter.override[ sight_id ] = {
		parent = "lower_reciever"
	}	
	self.wpn_fps_pis_g17.override[ sight_id ] = {
		parent = "slide"
	}
	self.wpn_fps_pis_beretta.override[ sight_id ] = {
		parent = "upper_reciever"
	}
	self.wpn_fps_pis_usp.override[ sight_id ] = {
		parent = "slide"
	}
	self.wpn_fps_pis_g22c.override[ sight_id ] = {
		parent = "slide"
	}	
	self.wpn_fps_pis_ppk.override[ sight_id ] = {
		parent = "slide"
	}	
	self.wpn_fps_pis_p226.override[ sight_id ] = {
		parent = "slide"
	}	
	self.wpn_fps_pis_g26.override[ sight_id ] = {
		parent = "slide"
	}	
	self.wpn_fps_pis_c96.override[ sight_id ] = {
		parent = "slide"
	}	
	self.wpn_fps_pis_hs2000.override[ sight_id ] = {
		parent = "slide"
	}	
	self.wpn_fps_pis_sparrow.override[ sight_id ] = {
		parent = "slide"
	}	
	self.wpn_fps_pis_pl14.override[ sight_id ] = {
		parent = "slide"
	}	
	self.wpn_fps_pis_packrat.override[ sight_id ] = {
		parent = "slide"
	}
	self.wpn_fps_pis_beretta.adds[ sight_id ] = {
		"wpn_fps_pis_beretta_o_std"
	}
	self.wpn_fps_pis_lemming.override[ sight_id ] = {
		parent = "slide"
	}	
end	
end )